<?php 
/* SVN FILE: $Id$ */
/* ProfileSelect Test cases generated on: 2009-12-28 15:15:47 : 1261980947*/
App::import('Model', 'ProfileSelect');

class ProfileSelectTestCase extends CakeTestCase {
	var $ProfileSelect = null;
	var $fixtures = array('app.profile_select', 'app.profile');

	function startTest() {
		$this->ProfileSelect =& ClassRegistry::init('ProfileSelect');
	}

	function testProfileSelectInstance() {
		$this->assertTrue(is_a($this->ProfileSelect, 'ProfileSelect'));
	}

	function testProfileSelectFind() {
		$this->ProfileSelect->recursive = -1;
		$results = $this->ProfileSelect->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('ProfileSelect' => array(
			'id'  => 1,
			'profile_id'  => 1,
			'value'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'sort_order'  => 1
		));
		$this->assertEqual($results, $expected);
	}
}
?>